/* --------------------------------------------------------------  */
/* (C)Copyright 2007,2008,                                         */
/* International Business Machines Corporation                     */
/* All Rights Reserved.                                            */
/*                                                                 */
/* Redistribution and use in source and binary forms, with or      */
/* without modification, are permitted provided that the           */
/* following conditions are met:                                   */
/*                                                                 */
/* - Redistributions of source code must retain the above copyright*/
/*   notice, this list of conditions and the following disclaimer. */
/*                                                                 */
/* - Redistributions in binary form must reproduce the above       */
/*   copyright notice, this list of conditions and the following   */
/*   disclaimer in the documentation and/or other materials        */
/*   provided with the distribution.                               */
/*                                                                 */
/* - Neither the name of IBM Corporation nor the names of its      */
/*   contributors may be used to endorse or promote products       */
/*   derived from this software without specific prior written     */
/*   permission.                                                   */
/*                                                                 */
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          */
/* CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     */
/* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        */
/* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        */
/* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            */
/* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    */
/* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    */
/* NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    */
/* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        */
/* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       */
/* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    */
/* OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              */
/* --------------------------------------------------------------  */
/* PROLOG END TAG zYx                                              */

#ifndef __ALF_ACCEL_CBEA_H_INC__
#define __ALF_ACCEL_CBEA_H_INC__

#define ALF_ACCEL_EXPORT_API_LIST_BEGIN           \
extern int _ALF_LINKAGE_SYMBOL_CELL;              \
int *p_linkage_symbol = &_ALF_LINKAGE_SYMBOL_CELL;

#define ALF_ACCEL_EXPORT_API_LIST_END   
#define ALF_ACCEL_EXPORT_API(_str_, _func_) extern __typeof__ (_func_) _SPUEAR_##_func_  __attribute__ ((alias (#_func_)));

void ALF_ACCEL_DTL_CBEA_DMA_LIST_BUFFER_GET(void *p_dtl, void **pp_dma_list_buffer, unsigned int *p_max_entries);
void ALF_ACCEL_DTL_CBEA_DMA_LIST_BUFFER_UPDATE(void *p_dtl, unsigned int num_entries);
void ALF_ACCEL_DTL_CBEA_DMA_LIST_BUFFER_COMPLETE(void *p_dtl, unsigned int num_entries, alf_data_addr64_t base_ea);


#endif                          // __ALF_ACCEL_CBEA_H_INC__
